GNU bug report logs - #43566
27.1; url-http and excorporate does not authenticate

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Domingo Gómez Pérez <domingo.gomez@HIDDEN>; merged with #44195, #44439; dated Tue, 22 Sep 2020 17:20:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 43566 <at> debbugs.gnu.org:


Received: (at 43566) by debbugs.gnu.org; 6 Dec 2020 13:14:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 06 08:14:33 2020
Received: from localhost ([127.0.0.1]:49159 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1klts1-000597-4i
	for submit <at> debbugs.gnu.org; Sun, 06 Dec 2020 08:14:33 -0500
Received: from quimby.gnus.org ([95.216.78.240]:52482)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kltrz-00058v-Lp
 for 43566 <at> debbugs.gnu.org; Sun, 06 Dec 2020 08:14:32 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=ijvHwaNEm6hdx7sUrdYQ0pA+zPQyx2IOI1q/xIyHrdI=; b=Xt18N6NyTiRiffdXdjhX5Pf7B2
 tPBHjitdUw3id9OS7WTUFDKHrqbzSrwO2QagZ29ejDds0qzcmf8AQS7e/xobCcM5MoP7Pri+b6q3F
 YWVE5T8rcV7z06PotJ4fbKpWicoaL7B4unv7ZqyBudOo6p294vF8egWX2LkfhdTZcSNE=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kltrr-0004R3-31; Sun, 06 Dec 2020 14:14:25 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Thomas Fitzsimmons <fitzsim@HIDDEN>
Subject: Re: bug#43566: 27.1; url-http and excorporate does not authenticate
References: <87tuvqxdl8.fsf@HIDDEN>
 <874knnw66a.fsf@HIDDEN>
 <877dsi9jd1.fsf@HIDDEN>
 <87v9g2ozh1.fsf@HIDDEN> <m3o8j9m9pr.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAGFBMVEUOCQktDAtcEA/h
 HBTXRzjai3brvK7///9zpNO7AAAAAWJLR0QHFmGI6wAAAAd0SU1FB+QMBg0JMF5ZWV8AAAGvSURB
 VDjLjZNhktMwDIXdlgN0CQcIDQfYRsp/qOQegLV8AUjufwSelGyYZFsGTaZ29VnSs2ynlNKhIyYi
 xceUBdP+8AJ/OjJpGLGI3hyksI6EJdfCQgUzfgcHClMTFVbSDn/ODk75zT2cC5tqsW+gbWQys5Jt
 sJxtvE/ZrMp3zzQEyIOPVif/lR+eiUMQJCGP1umtRw0HHStSlFivANIvejnnglx8LwYBdaQrAIdY
 ZMCumSBXAVrXu+zicnn5jKFoycWBytn3TSEbI3atQm3DAY5LLR/Fu3nGzMEaMncGnfXYc/ob0s0A
 JcQiIpa2K3AVPAMPQT+XVMHXAyG6fZGFoDVzQITwWFa3apsWa2iwCODi4JZWu3z66e5cp60fBjE8
 wcpaIL3XwXKY6uvGH2Xgl47aLegi1YhK1y2Af5jqb9ytfuPHseD0pl84sn5Xm2qFWBuFdgAV7iPj
 MmyrnwCq2jDtQYNuGJf8IQJPRI0UAoRed2Ao3q2PIF4V7phsd7icK8gzsO/Jv8HXZ+DaPQCCJ903
 DwFu0/EBwPN4CNArgMMjEBez+39wnEHzDJxW8AeobKeu9nzLPgAAACV0RVh0ZGF0ZTpjcmVhdGUA
 MjAyMC0xMi0wNlQxMzowOTo0NyswMDowMNPjpKcAAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjAtMTIt
 MDZUMTM6MDk6NDcrMDA6MDCivhwbAAAAAElFTkSuQmCC
X-Now-Playing: Joan as Police Woman's _Cover Two_: "Spread"
Date: Sun, 06 Dec 2020 14:14:21 +0100
In-Reply-To: <m3o8j9m9pr.fsf@HIDDEN> (Thomas Fitzsimmons's message of
 "Fri, 04 Dec 2020 18:29:20 -0500")
Message-ID: <878sabdqky.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Thomas Fitzsimmons <fitzsim@HIDDEN> writes: > I no
 longer
 use the NTLM mode myself, but I did manage to independently > figure out
 the issue by implementing an NTLM server in elisp. I'm going > to add it to
 the test suite, since otherwise it's [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43566
Cc: William Xu <william.xwl@HIDDEN>, 43566 <at> debbugs.gnu.org,
 Jeffrey Haug <jthaug@HIDDEN>,
 Domingo =?utf-8?B?R8OzbWV6IFDDqXJleg==?= <domingo.gomez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Thomas Fitzsimmons <fitzsim@HIDDEN> writes:

> I no longer use the NTLM mode myself, but I did manage to independently
> figure out the issue by implementing an NTLM server in elisp.  I'm going
> to add it to the test suite, since otherwise it's not feasible for Emacs
> maintainers to test ntlm.el properly (which is what happened in Emacs
> 27.1).  I can test inflooping against it too once I have the changes
> ready.

Great!

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43566; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Dec 2020 12:41:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 05 07:41:10 2020
Received: from localhost ([127.0.0.1]:46704 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1klWs9-0006Ri-Vj
	for submit <at> debbugs.gnu.org; Sat, 05 Dec 2020 07:41:10 -0500
Received: from lists.gnu.org ([209.51.188.17]:34416)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1klWs8-0006Ra-E2
 for submit <at> debbugs.gnu.org; Sat, 05 Dec 2020 07:41:08 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:60668)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1klWs7-00073c-VQ
 for bug-gnu-emacs@HIDDEN; Sat, 05 Dec 2020 07:41:08 -0500
Received: from static.214.254.202.116.clients.your-server.de
 ([116.202.254.214]:34174 helo=ciao.gmane.io)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1klWs6-0003ki-Jb
 for bug-gnu-emacs@HIDDEN; Sat, 05 Dec 2020 07:41:07 -0500
Received: from list by ciao.gmane.io with local (Exim 4.92)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1klWs2-0003Yb-Fw
 for bug-gnu-emacs@HIDDEN; Sat, 05 Dec 2020 13:41:02 +0100
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: William Xu <william.xwl@HIDDEN>
Subject: Re: bug#43566: 27.1; url-http and excorporate does not authenticate
Date: Sat, 05 Dec 2020 13:40:57 +0100
Organization: the Church of Emacs
Message-ID: <m2blf8whly.fsf@HIDDEN>
References: <87tuvqxdl8.fsf@HIDDEN>
 <874knnw66a.fsf@HIDDEN>
 <877dsi9jd1.fsf@HIDDEN>
 <87v9g2ozh1.fsf@HIDDEN> <m3o8j9m9pr.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (darwin)
Cancel-Lock: sha1:QJ2f6rbajhwgTebdHLGAOBppUY8=
Received-SPF: pass client-ip=116.202.254.214;
 envelope-from=geb-bug-gnu-emacs@HIDDEN; helo=ciao.gmane.io
X-Spam_score_int: 5
X-Spam_score: 0.5
X-Spam_bar: /
X-Spam_report: (0.5 / 5.0 requ) BAYES_00=-1.9, DKIM_ADSP_CUSTOM_MED=0.001,
 FORGED_GMAIL_RCVD=1, FREEMAIL_FORGED_FROMDOMAIN=0.25, FREEMAIL_FROM=0.001,
 HEADER_FROM_DIFFERENT_DOMAINS=0.25, NML_ADSP_CUSTOM_MED=0.9,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

Thomas Fitzsimmons <fitzsim@HIDDEN> writes:

> It also turns out that another user found the regression and filed a bug
> report with a workaround a month ago:
>
>    https://debbugs.gnu.org/44439
>
> (From now on I'll search for "excorporate" using debbugs-gnu-search
> instead of just scanning subject lines.)

Thanks for merging the bugs. Somehow I had a hard time trying to search
existing bugs in debbugs web interface, before I reported mine.

So it is really a general issue.. 

-- 
William





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43566; Package emacs. Full text available.

Message received at 43566 <at> debbugs.gnu.org:


Received: (at 43566) by debbugs.gnu.org; 4 Dec 2020 23:29:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 04 18:29:32 2020
Received: from localhost ([127.0.0.1]:46154 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1klKW3-0008Nq-UH
	for submit <at> debbugs.gnu.org; Fri, 04 Dec 2020 18:29:32 -0500
Received: from mail-qk1-f171.google.com ([209.85.222.171]:35073)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fitzsim@HIDDEN>) id 1klKW0-0008Nb-7J
 for 43566 <at> debbugs.gnu.org; Fri, 04 Dec 2020 18:29:31 -0500
Received: by mail-qk1-f171.google.com with SMTP id v143so7182144qkb.2
 for <43566 <at> debbugs.gnu.org>; Fri, 04 Dec 2020 15:29:28 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=fitzsim-org.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=Z+c/eQYtKNN0xYWX2WHifk3wKscHyytdPTc96Iw9V5k=;
 b=MrXyyIx/tE+4lvmF/gMMROCveqgOitmPamOcrElLZuWszvwLGdkWgpxdmkMAhpgPia
 8Xwv66YXdOe0fI2d0LnN6BSUPpHCTrimqp9pJY6zet5jMnTqb66t0IQXvSiPdUFUKu3N
 JQvvcXzvB9q6bEPN+qhmZIpWAFbBRg9/N9cCtBy7zRlkGQat8x4GlUZYQfRkuOrZGDRb
 2w4drBeV1Lsyee7Bvsv2RiA0xz0DA0pZKYlZN3l//5bVLoEoLeYzfn/o5ma8H6nyr9ar
 vOT/ebBTd4d2bcnZ4tb13FOt5vbPT9pfQIdVYxpSRq8PLdouMhZVg9UhQIHgGSb78k0a
 zYwg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=Z+c/eQYtKNN0xYWX2WHifk3wKscHyytdPTc96Iw9V5k=;
 b=GMWKeROidcO9njcDdXsPWdNV+rVKNaN9JurOF8uBEfQ3EEmfIBpkKfBFrQcc21RZ7E
 eQ+YaNjFpB/crj88trY+iC7xIifVYCvkHsKRWwxBqPqCC+e2+c2TIhKgAZnSvHKdh8QG
 SU/vAEgMHbbKuSU+btcK4NQweE5agxnq3kyw5Q493SAUvjYeE1PXQiGYl7uA1Ko1OhHa
 j55ThsIa3FtB52T0jraNWJDyobVQ9bh2XIfXqbExDHk5zqBv/z4RQdQZ3TwUieqJxNdi
 05BmO2eyICZuEulvLpsXMgLuVXbmf9KPkwCJAmCFmNHVQ2bJ86Vr6Fpa2nJYBNF+XbKD
 +qUA==
X-Gm-Message-State: AOAM5314uS7aKOUzHGYj4voBaU6d7cpnu2787Fd9bBnf4Kc9S+YAqUcH
 6H4wolvWrAcAHdz6U+RfPqieJA==
X-Google-Smtp-Source: ABdhPJwOI86aQi4KvxSfQUXAcipUEWomCmwEQD7clpthUKedIr3dbAb6SKIvBVEDXsEhjHC8RvBoMw==
X-Received: by 2002:a05:620a:1265:: with SMTP id
 b5mr12077957qkl.27.1607124562585; 
 Fri, 04 Dec 2020 15:29:22 -0800 (PST)
Received: from localhost.localdomain (69-165-165-189.dsl.teksavvy.com.
 [69.165.165.189])
 by smtp.gmail.com with ESMTPSA id i203sm6618359qke.49.2020.12.04.15.29.21
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Fri, 04 Dec 2020 15:29:21 -0800 (PST)
From: Thomas Fitzsimmons <fitzsim@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#43566: 27.1; url-http and excorporate does not authenticate
References: <87tuvqxdl8.fsf@HIDDEN>
 <874knnw66a.fsf@HIDDEN>
 <877dsi9jd1.fsf@HIDDEN>
 <87v9g2ozh1.fsf@HIDDEN>
Date: Fri, 04 Dec 2020 18:29:20 -0500
In-Reply-To: <87v9g2ozh1.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Fri,
 25 Sep 2020 13:41:30 +0200")
Message-ID: <m3o8j9m9pr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43566
Cc: William Xu <william.xwl@HIDDEN>, 43566 <at> debbugs.gnu.org,
 Jeffrey Haug <jthaug@HIDDEN>,
 Domingo =?utf-8?B?R8OzbWV6IFDDqXJleg==?= <domingo.gomez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Domingo G=C3=B3mez P=C3=A9rez <domingo.gomez@HIDDEN> writes:
>
>>> Is wget using NTLM authentication, though?  And how have you set up
>>> url.el to use NTLM?
>>
>> Dear Lars Ingebrigtsen,
>>
>> First of all, thanks for your time and help.
>>
>> I would say so, because in the terminal it reads "Autenticaci=C3=B3n
>> seleccionada: NTLM" (sorry, it is in spanish but I think the meaning is =
clear).
>
> Thanks for checking.
>
> I'm absolutely completely unfamiliar with NTLM (I assume that's a
> Windows-only thing?), so somebody else will have to try debugging this.

It turns out that this is a regression in Emacs 27.1 introduced by the
fix for bug 27022:

   https://debbugs.gnu.org/27022

The NTLM protocol requires a three step handshake with the server, where
handshake information is passed from the client to the server via
Authorization headers.  I'm not sure if the 27022 scenario would result
in url-http-ntlm inflooping too; if it would, then the obvious
fix-of-the-fix would probably be wrong (i.e., to disable the check when
NTLM is present in the authorization string).

It also turns out that another user found the regression and filed a bug
report with a workaround a month ago:

   https://debbugs.gnu.org/44439

(From now on I'll search for "excorporate" using debbugs-gnu-search
instead of just scanning subject lines.)

I've merged bug#44439 and another report of the same problem, bug#44195,
into this one.

I no longer use the NTLM mode myself, but I did manage to independently
figure out the issue by implementing an NTLM server in elisp.  I'm going
to add it to the test suite, since otherwise it's not feasible for Emacs
maintainers to test ntlm.el properly (which is what happened in Emacs
27.1).  I can test inflooping against it too once I have the changes
ready.

Thomas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43566; Package emacs. Full text available.
Merged 43566 44195 44439. Request was from Thomas Fitzsimmons <fitzsim@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 43566 <at> debbugs.gnu.org:


Received: (at 43566) by debbugs.gnu.org; 30 Sep 2020 17:12:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 30 13:12:09 2020
Received: from localhost ([127.0.0.1]:32964 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kNfeC-0001vO-8k
	for submit <at> debbugs.gnu.org; Wed, 30 Sep 2020 13:12:09 -0400
Received: from mhb02.unican.es ([193.144.193.152]:59156)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <domingo.gomez@HIDDEN>) id 1kNfTW-0001ed-83
 for 43566 <at> debbugs.gnu.org; Wed, 30 Sep 2020 13:01:10 -0400
Received: from localhost (localhost [127.0.0.1])
 by mhb02.unican.es (Postfix) with ESMTP id 228DAC0084E53;
 Wed, 30 Sep 2020 19:01:00 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=unican.es; h=
 content-type:content-type:mime-version:message-id:date:date
 :references:in-reply-to:subject:subject:from:from:received
 :received:received; s=20190415; t=1601485260; bh=re8BPQeJBNgcYIW
 ye0/NxY6sxnTUFfHCjVebwYajv1s=; b=KaywIC1IMJp+F4etLAzAdpxL9oyLlDt
 x4w2FFEVuIoq8FUAQ4hw8JXqLVB8PESUVFrEVpFwdm5QqddaM7yfFWi/OdkESrSf
 plH11Cs2bU/x/1bi6ijVC5V1bYEAapigHVbS2rN4BzMK6tSJRFNJBcXrkZv7fFNB
 uq0+HZqZBL6FaxGUUN5va8VIAEhJ9RdEpWs5c9jx9EzbnnM3sRZeZFgsxxfdLIFp
 Ui4JZ6CUIi6B3pTf4O2RbtXWG4dMsToZagT9744uHMWu5wwlvTWuDrcHX5YRyxPO
 Q6b8FArJfE2fL3LGazqIMGQdiwDcgY6HyLPWaDnuS32OVAbWshvN5HQ==
Received: from mhb02.unican.es ([127.0.0.1])
 by localhost (mhb02.unican.es [127.0.0.1]) (amavisd-new, port 10025)
 with LMTP id 7Q99hij3-oAD; Wed, 30 Sep 2020 19:01:00 +0200 (CEST)
Received: from correouc.unican.es (ex3.unican.es [193.144.193.142])
 (using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
 (No client certificate requested)
 by mhb02.unican.es (Postfix) with ESMTPS id A1392C0084E52;
 Wed, 30 Sep 2020 19:00:59 +0200 (CEST)
Received: from menzobaran.matesco.unican.es (193.144.180.101) by ex3.unican.es
 (193.144.193.142) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256) id 15.1.1979.3; Wed, 30 Sep
 2020 19:00:59 +0200
From: Domingo =?utf-8?B?R8OzbWV6IFDDqXJleg==?= <domingo.gomez@HIDDEN>
To: Thomas Fitzsimmons <fitzsim@HIDDEN>
Subject: Re: bug#43566: 27.1; url-http and excorporate does not authenticate
In-Reply-To: <m3eemkcihy.fsf@HIDDEN>
References: <87tuvqxdl8.fsf@HIDDEN>
 <m3eemkcihy.fsf@HIDDEN>
Date: Wed, 30 Sep 2020 19:00:59 +0200
Message-ID: <87y2krqjw4.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Originating-IP: [193.144.180.101]
X-ClientProxiedBy: ex2.unican.es (193.144.193.141) To ex3.unican.es
 (193.144.193.142)
X-EsetResult: clean, is OK
X-EsetId: 37303A293C27706B6C7261
X-Spam-Score: -5.4 (-----)
X-Debbugs-Envelope-To: 43566
X-Mailman-Approved-At: Wed, 30 Sep 2020 13:12:06 -0400
Cc: 43566 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.4 (------)

--=-=-=
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: quoted-printable

En la fecha mar, 29 sep 2020, Thomas Fitzsimmons <fitzsim@HIDDEN>
escribi=C3=B3:
> Hi Domingo,
>
> Domingo G=C3=B3mez P=C3=A9rez <domingo.gomez@HIDDEN> writes:
>
>> I am trying to use excorporate, v. 0.7, so I am trying to locate the
>> problem looking at the Info page, section Troubleshooting.
>
> Thanks for reporting.
>
> First, Excorporate 0.7.0 is an old release.  Are you able to install
> Excorporate 0.8.3 and its dependencies from GNU ELPA?  There have been a
> few compatibility improvements between 0.7.0 and 0.8.3, so it's worth a
> try for your specific issue.


Dear Thomas,

First of all, thank you for your work in excorporate. I don't know what
happen, because it used to work just fine for me.


> If it doesn't work, can you retry the
> Troubleshooting section?  It's probably best if        you redact the
> Authorization headers with [...] before replying.
>
I remove the part where Authorization appear.

I attach here the results of executing

(setq URL-STRING "https://correo.unican.es/ews/exchange.asmx")
     (progn
       (setq url-debug 1)
       (url-retrieve-synchronously URL-STRING)
       (dolist (p (seq-filter
                   (lambda (b) (string-match " *http*" (buffer-name b)))
                   (buffer-list)))
         (message "HTTP result buffer: \"%s\"\n%s"
                  (buffer-name p)
                  (with-current-buffer p (buffer-string))))
       "check *Messages*")


--=-=-=
Content-Type: text/plain
Content-Disposition: attachment; filename="output.txt"
Content-Transfer-Encoding: 8bit

http -> Contacting host: correo.unican.es:443
http -> Marking connection as busy: correo.unican.es:443 #<process correo.unican.es>
http -> getting referer from buffer: buffer:#<buffer *scratch*> target-url:#s(url "https" nil nil "correo.unican.es" nil "/ews/exchange.asmx" nil nil t nil t nil) lastloc:nil
http -> Request is: 
GET /ews/exchange.asmx HTTP/1.1
MIME-Version: 1.0
Connection: keep-alive
Extension: Security/Digest Security/SSL
Host: correo.unican.es
Accept-encoding: gzip
Accept: */*
User-Agent: URL/Emacs Emacs/27.1 (X11; x86_64-redhat-linux-gnu)
Authorization: Basic ...


retrieval -> Spinning in url-retrieve-synchronously: nil (#<buffer  *http correo.unican.es:443*>)
http -> Calling after change function `url-http-wait-for-headers-change-function' for `#<process correo.unican.es>'
http -> url-http-wait-for-headers-change-function ( *http correo.unican.es:443*)
http -> Saw end of headers... ( *http correo.unican.es:443*)
http -> url-http-parse-response called in ( *http correo.unican.es:443*)
http -> Got a content-length, being smart about document end.
http -> Got 0-length content-length, activating callback immediately.
http -> Marking connection as free: correo.unican.es:443 #<process correo.unican.es>
http -> url-http-parse-headers called in ( *http correo.unican.es:443*)
http -> url-http-parse-response called in ( *http correo.unican.es:443*)
http -> Parsed HTTP headers: class=4 status=401
http -> Handling normal authentication
http -> Found existing connection: correo.unican.es:443 #<process correo.unican.es>
http -> Reusing existing connection: correo.unican.es:443
http -> Marking connection as busy: correo.unican.es:443 #<process correo.unican.es>
http -> getting referer from buffer: buffer:#<buffer  *http correo.unican.es:443*> target-url:#s(url "https" nil nil "correo.unican.es" nil "/ews/exchange.asmx" nil nil t nil t nil) lastloc:nil
http -> Request is: 
GET /ews/exchange.asmx HTTP/1.1
MIME-Version: 1.0
Connection: keep-alive
Extension: Security/Digest Security/SSL
Host: correo.unican.es
Accept-encoding: gzip
Accept: */*
User-Agent: URL/Emacs Emacs/27.1 (X11; x86_64-redhat-linux-gnu)
Authorization: Basic ...


http -> Finished parsing HTTP headers: nil
http -> Spinning waiting for headers...
retrieval -> Spinning in url-retrieve-synchronously: nil (#<buffer  *http correo.unican.es:443*>)
http -> Calling after change function `url-http-wait-for-headers-change-function' for `#<process correo.unican.es>'
http -> url-http-wait-for-headers-change-function ( *http correo.unican.es:443*-164681)
http -> Saw end of headers... ( *http correo.unican.es:443*-164681)
http -> url-http-parse-response called in ( *http correo.unican.es:443*-164681)
http -> Got a content-length, being smart about document end.
http -> Got 0-length content-length, activating callback immediately.
http -> Marking connection as free: correo.unican.es:443 #<process correo.unican.es>
http -> url-http-parse-headers called in ( *http correo.unican.es:443*-164681)
http -> url-http-parse-response called in ( *http correo.unican.es:443*-164681)
http -> Parsed HTTP headers: class=4 status=401
http -> Handling normal authentication

--=-=-=
Content-Type: text/plain



Best, Domingo.

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43566; Package emacs. Full text available.

Message received at 43566 <at> debbugs.gnu.org:


Received: (at 43566) by debbugs.gnu.org; 29 Sep 2020 22:42:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 29 18:42:46 2020
Received: from localhost ([127.0.0.1]:57482 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kNOKc-0002k2-3F
	for submit <at> debbugs.gnu.org; Tue, 29 Sep 2020 18:42:46 -0400
Received: from mail-qk1-f176.google.com ([209.85.222.176]:36223)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fitzsim@HIDDEN>) id 1kNOKW-0002jk-Nc
 for 43566 <at> debbugs.gnu.org; Tue, 29 Sep 2020 18:42:44 -0400
Received: by mail-qk1-f176.google.com with SMTP id q63so6178229qkf.3
 for <43566 <at> debbugs.gnu.org>; Tue, 29 Sep 2020 15:42:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=fitzsim-org.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=VC8M31HHkZjZ6iZUPzBB9PUHCE6gm6hLE53o00OzK4g=;
 b=oiI/9QOCS7Xek0Atm2ptAKoEzkLSNFGm1O4QO6kFSLDfJ/0ebBjjnN+aTeyFCTRlAo
 cxrOxHbUfc0/oPVPO5ILjxcoUMURgj3D3GKBJq+5eD8tP8DT3w5a4Bm2ACAEftPvHlDJ
 yfRLqAOgwUYBTNA2M175jHEj/0W3rLwKr/Kf5tORfd+whKvueTXEFKL7j/mL9oUDXhSu
 WQedR5wnyLLG/9908WGht7b8StujVAW8kGvrySCwKY/o3GK6WbzTfhTXssHEreR+MZtJ
 xnmSifuD+kRLSxpKsXqdcdLdpBO3r/YPMrtEkj22ABPgEEoWkb3/tus8s6iu1DJ8HL9W
 JvoA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=VC8M31HHkZjZ6iZUPzBB9PUHCE6gm6hLE53o00OzK4g=;
 b=MP2HH02/rmXRjieFqnMde5mvuN0JF1nEUOVxM1krU2pohnARGoGLoM9UHHN6qEsB6b
 DIXNfqKeezeULhi14Jy56e/9sruFmvxwwAZYb2AS9fRhUpA0vh2OsdwWesTAGzqcwP7v
 v1jtLj2x2evj+ouo4mTG0k2ZvRoBeSLMK17qFXMU24OOoEC14DUB87fgOfDa95lMNE83
 CBuVR7nAIFdDEIYXxR1dlb6roEOFsCzRRR7P5BVBQfQ+/qCylUilJMU0vVy/4T8QoIr7
 cekqe+sBQpSh5zSklWKJr7Imw/BZ63KWuBPKyWy4ffTdKXVwYH1rguTVA3QSWBnVLn03
 koFQ==
X-Gm-Message-State: AOAM530+kbOQP8slhZgQfdoGJ+94MOSHZyPGGhYrzOf/yFIsSUSP6H6e
 qcJXasjiBZzejwZveIUh166oZTYXQ9xdCg==
X-Google-Smtp-Source: ABdhPJxBXy/5WAn5Atulu5DToNJCscPThlCsFkzhVQ7Tfmrb7Z1Go/ELJTDYqFjACUw1RZiYkw62+g==
X-Received: by 2002:a05:620a:159b:: with SMTP id
 d27mr6712327qkk.28.1601419354892; 
 Tue, 29 Sep 2020 15:42:34 -0700 (PDT)
Received: from localhost.localdomain (69-165-165-189.dsl.teksavvy.com.
 [69.165.165.189])
 by smtp.gmail.com with ESMTPSA id q142sm6309969qke.48.2020.09.29.15.42.33
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Tue, 29 Sep 2020 15:42:34 -0700 (PDT)
From: Thomas Fitzsimmons <fitzsim@HIDDEN>
To: Domingo =?utf-8?B?R8OzbWV6IFDDqXJleg==?= <domingo.gomez@HIDDEN>
Subject: Re: bug#43566: 27.1; url-http and excorporate does not authenticate
References: <87tuvqxdl8.fsf@HIDDEN>
Date: Tue, 29 Sep 2020 18:42:33 -0400
In-Reply-To: <87tuvqxdl8.fsf@HIDDEN> ("Domingo
 =?utf-8?Q?G=C3=B3mez=09P=C3=A9rez=22's?= message of "Tue, 22 Sep 2020
 13:20:19 +0200")
Message-ID: <m3eemkcihy.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.6 (/)
X-Debbugs-Envelope-To: 43566
Cc: 43566 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.6 (-)

Hi Domingo,

Domingo G=C3=B3mez P=C3=A9rez <domingo.gomez@HIDDEN> writes:

> I am trying to use excorporate, v. 0.7, so I am trying to locate the
> problem looking at the Info page, section Troubleshooting.

Thanks for reporting.

First, Excorporate 0.7.0 is an old release.  Are you able to install
Excorporate 0.8.3 and its dependencies from GNU ELPA?  There have been a
few compatibility improvements between 0.7.0 and 0.8.3, so it's worth a
try for your specific issue.  If it doesn't work, can you retry the
Troubleshooting section?  It's probably best if you redact the
Authorization headers with [...] before replying.

I don't see any "HTTP result buffer" in the *Messages* text you posted.
It seems like the Type 2 stage of NTLM is not being reached.

Thomas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43566; Package emacs. Full text available.

Message received at 43566 <at> debbugs.gnu.org:


Received: (at 43566) by debbugs.gnu.org; 29 Sep 2020 22:19:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 29 18:19:50 2020
Received: from localhost ([127.0.0.1]:57436 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kNNyQ-0002Bv-Kl
	for submit <at> debbugs.gnu.org; Tue, 29 Sep 2020 18:19:50 -0400
Received: from mail-qk1-f171.google.com ([209.85.222.171]:37052)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fitzsim@HIDDEN>) id 1kNNyM-0002Bh-QB
 for 43566 <at> debbugs.gnu.org; Tue, 29 Sep 2020 18:19:48 -0400
Received: by mail-qk1-f171.google.com with SMTP id 16so6120626qkf.4
 for <43566 <at> debbugs.gnu.org>; Tue, 29 Sep 2020 15:19:46 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=fitzsim-org.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=IvhMBnzstQ7aGYuR1oP8PD+JLLoYUm31EvJWPBOyntg=;
 b=i/T4i5hMFjwUap/5rQ+HU4u5cNob37RfRziz9AkiMOWv/5eWTlOk0B9Jn9anLovM5v
 qU9Zoa4wnNsL0RYCvj2TBMPX64Gm0mLDRjG46FC/M7RRn6bwGSWCYSjg09SGksPQ21r+
 JscOPZD5ePdQsOK/TQslj+SrAjDK6b7cClWvTxLpiHJN/CBJ0nvME7/hXF9lfBB9p7hm
 TG9ADMbrL9+R4dQ7aSpv9W8ZgevtxaNzLMHUOdVdfuChLZUns37ld9yEc9pjVHaDjLZn
 fJNJi65ChTpuqWbIpb2iJ1CHNvXT79wfn13hEfTMb1KOt7ZwhhjjLX3Qje3nWkaQKpXt
 ERZA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=IvhMBnzstQ7aGYuR1oP8PD+JLLoYUm31EvJWPBOyntg=;
 b=RXln0yH4rT24CU54EgR7t04b0ogOsa7yEmxEes9/tJnkFWF/VYw697vDlOpmEghWbd
 66GGHCquMVttQFq0fWQ9msK19j5aG5ag7v8JEolvza+6901nnKpWC55lL0fPH2ATj8HB
 rlabeBwjQl1ALEeHyv7DkOqEL/2T9In2rL9FdtOCKbljSt1sPOaDMjTd+HnQ7JPwWpZ1
 1mo23ykBNaOPj55lj29PLVUqvwP7y2Wbt8Pnx5vzosbYKtwRV+A7F9xnXPiK9TKl2X2W
 2tKyFahnwUMg35UPh8RYaYEAsIeX4H/Jd8WdJPIj/0ZVBYMZfLPZviBvHm8DyuRAC7jZ
 y2nw==
X-Gm-Message-State: AOAM532kryLHoc0T2gF74L6JdbAt3qD3NCBSr0zA88cyI1LPQZF8LrsS
 LO4fQ1VwxwwSvlNCLG3i2F/8uIAZSWqP2g==
X-Google-Smtp-Source: ABdhPJw8hKsgDb12THpji8mvIANyBi85XB486ZDhP4otAO/gITzK6fnjEYb6SnmAWmPdSDVWo5j0Iw==
X-Received: by 2002:a37:b8c2:: with SMTP id i185mr6446212qkf.87.1601417980856; 
 Tue, 29 Sep 2020 15:19:40 -0700 (PDT)
Received: from localhost.localdomain (69-165-165-189.dsl.teksavvy.com.
 [69.165.165.189])
 by smtp.gmail.com with ESMTPSA id u23sm6459174qka.43.2020.09.29.15.19.39
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Tue, 29 Sep 2020 15:19:40 -0700 (PDT)
From: Thomas Fitzsimmons <fitzsim@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#43566: 27.1; url-http and excorporate does not authenticate
References: <87tuvqxdl8.fsf@HIDDEN>
 <874knnw66a.fsf@HIDDEN>
Date: Tue, 29 Sep 2020 18:19:39 -0400
In-Reply-To: <874knnw66a.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Thu,
 24 Sep 2020 17:22:37 +0200")
Message-ID: <m3k0wccjk4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.6 (/)
X-Debbugs-Envelope-To: 43566
Cc: 43566 <at> debbugs.gnu.org,
 Domingo =?utf-8?B?R8OzbWV6IFDDqXJleg==?= <domingo.gomez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.6 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Domingo G=C3=B3mez P=C3=A9rez <domingo.gomez@HIDDEN> writes:
>
>> url-http-handle-authentication: Wrong authorization used for https://cor=
reo.unican.es/ews/exchange.asmx
>> (Note, the user and password are right, since I can download the page
>> using wget)
>
> [...]
>
>> Authorization: NTLM TlRMTVN[etc]
>
> Is wget using NTLM authentication, though?  And how have you set up
> url.el to use NTLM?
>
> I'm not familiar with NTLM at all, so I hope there wasn't anything
> secret in that base64'd auth string.=20

No, that's the Type 1 message which is a generic request to the server
to initiate the NTLM back-n-forth (there are three message types).  It
doesn't contain a username or password.

Thomas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43566; Package emacs. Full text available.

Message received at 43566 <at> debbugs.gnu.org:


Received: (at 43566) by debbugs.gnu.org; 26 Sep 2020 13:16:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 26 09:16:10 2020
Received: from localhost ([127.0.0.1]:46111 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kMA3d-0003WD-Nq
	for submit <at> debbugs.gnu.org; Sat, 26 Sep 2020 09:16:09 -0400
Received: from quimby.gnus.org ([95.216.78.240]:51634)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kMA3c-0003W1-BE
 for 43566 <at> debbugs.gnu.org; Sat, 26 Sep 2020 09:16:08 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=OLeUYlOM5zKYuOnwyh95ujErzbUIokUl16SmBw0o0DU=; b=H2TnTrBTn5M7ru1DrCCNcLc1uI
 3vgUSCyTQZaqngpM42WF48ZLe73geh8/t9Xn3Ymmonwk7O0tP8BAu5QmPD69gJMWlaB1zylRslLBV
 FOYUERPagdfo5CrJOFAp1qLAIv/hRYuKI4YIiasWcOzAuyFPulzOd3axKJp9R1TfiY9k=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kMA3T-0007V8-Uk; Sat, 26 Sep 2020 15:16:02 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: "Gomez Perez, Domingo" <domingo.gomez@HIDDEN>
Subject: Re: bug#43566: 27.1; url-http and excorporate does not authenticate
References: <a84cfa50-5e21-4d75-a0bd-c6dc4d8763bc@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAKlBMVEX+/v6nn5NbSTDb
 1s82MCkxJxlFOSpoYVgYFRKIcE5JNRzUx6exlGD/////yiGGAAAAAWJLR0QN9rRh9QAAAAd0SU1F
 B+QJGg0PDYJE1Z8AAAGcSURBVDjLfdCxSwJRHAfwuxIuaVEpJGqol5bZcmW11BD21HAr7uCwJa+X
 WpMGekVLmYdhSxYVYpNwJU0KlYVNDTV0f1TnUNyz3/VdHnw//Hjv/RjmNyziGTA25IBhnqRh6PNa
 QHZvDexZdHHPw1CBn8XWKjUruLOCBxDsBjQg4GKoDn6dRQiBE8ziTgDs+5vyMDjBpiPcOXj5csQG
 bpHbTPZYQISDYRRbwBbmRiGwXTofVyCYb1efTkB4XX8+g6DVVJYOQciUM8PQCp+LZWW6F4C548zC
 BvunD7RdceeY0io76H6WTMqBKp+LTkRouPJoYWfSmYsKmIZsfkxRZMVtHyjQsH/0lrsJVpQRLk/D
 y7KL4AIRJtliF6x8hAQVh+SZLhhCNVESY3mPd4oG3ZuXfFqs5F2tNMx9L0p1QCx5Tv3UD/t3NQNS
 Qsmj+tNmsO9qJclXj6nbBXGc3ghWJUlTVSIIcTMM4nCC7HxdJ4wkacCE3OqfYdwFWYITQV3XOxMy
 BZ3iB3jzDkUjt/p75xDN4FaMVBeHbozjgPk/3+NEgug/C5PZAAAAJXRFWHRkYXRlOmNyZWF0ZQAy
 MDIwLTA5LTI2VDEzOjE1OjEzKzAwOjAwr1KBMwAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMC0wOS0y
 NlQxMzoxNToxMyswMDowMN4POY8AAAAASUVORK5CYII=
X-Now-Playing: Tied + Tickled Trio's _Tied + Tickled Trio_: "Rara Avis"
Date: Sat, 26 Sep 2020 15:15:58 +0200
In-Reply-To: <a84cfa50-5e21-4d75-a0bd-c6dc4d8763bc@HIDDEN> (Gomez
 Perez's message of "Fri, 25 Sep 2020 12:33:50 +0000")
Message-ID: <87ft74n0fl.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: (Please keep the debbugs address in the Cc headers.) "Gomez
 Perez, Domingo" <domingo.gomez@HIDDEN> writes: > I'm absolutely completely
 unfamiliar with NTLM (I assume that's a > Windows-only thing?), so somebody
 else will have to try debugging this. > > By the way, this is a Linux machine.
 > > Also it happe [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43566
Cc: 43566 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

(Please keep the debbugs address in the Cc headers.)

"Gomez Perez, Domingo" <domingo.gomez@HIDDEN> writes:

>  I'm absolutely completely unfamiliar with NTLM (I assume that's a
>  Windows-only thing?), so somebody else will have to try debugging this.
>
> By the way, this is a Linux machine. 
>
> Also it happens in Mac OS x. 

That's how little I know about NTLM.  :-)






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43566; Package emacs. Full text available.

Message received at 43566 <at> debbugs.gnu.org:


Received: (at 43566) by debbugs.gnu.org; 25 Sep 2020 15:35:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 25 11:35:21 2020
Received: from localhost ([127.0.0.1]:45108 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kLpkl-0001yf-Ca
	for submit <at> debbugs.gnu.org; Fri, 25 Sep 2020 11:35:21 -0400
Received: from mhb01.unican.es ([193.144.193.151]:32992)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <domingo.gomez@HIDDEN>) id 1kLm3l-0003xn-CK
 for 43566 <at> debbugs.gnu.org; Fri, 25 Sep 2020 07:38:42 -0400
Received: from localhost (localhost [127.0.0.1])
 by mhb01.unican.es (Postfix) with ESMTP id 56B588028BA8A;
 Fri, 25 Sep 2020 13:38:35 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=unican.es; h=
 content-transfer-encoding:content-type:content-type:mime-version
 :message-id:date:date:references:in-reply-to:subject:subject
 :from:from:received:received:received; s=20190415; t=1601033915;
 bh=1i6ZgC48Cvunhd5F4JBxu9iygBBU1DqvRMDjA0TwJ98=; b=fNNDq8mw8ZHg
 343EbkLkA4Pr6LOTHaWwFhwVGVgbs+cn6ayZ+Z8SJi3VCyqulEi/DinppPORZMjM
 5HLvWvv6bh7G9acr3axnBfYHyQCiVXIdrrjSaDlI+3rhSk+4RzJsZCs9SbWrkFnt
 pIMudrB2iHuj2IJU1A2H5luWhWPEl+BuV/FRlS+71T3dDQChJBVHlYjniEGdmlHh
 H+BJVKE5gvEhlBtZO5cbHZCdjp5MYnn4ayQAPdVxsDDcCFD7jxfBnfqb89bNAOrh
 zR3BP+g5mjdozGJa7M38t7XBeTAxCuOSlLGsWdDtxTgLoH79OEyfOFklVxXlwryL
 GeLveBmg0w==
Received: from mhb01.unican.es ([127.0.0.1])
 by localhost (mhb01.unican.es [127.0.0.1]) (amavisd-new, port 10025)
 with LMTP id x-NmcNWW0axo; Fri, 25 Sep 2020 13:38:35 +0200 (CEST)
Received: from correouc.unican.es (ex3.unican.es [193.144.193.142])
 (using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
 (No client certificate requested)
 by mhb01.unican.es (Postfix) with ESMTPS id 305CF8028BA87;
 Fri, 25 Sep 2020 13:38:35 +0200 (CEST)
Received: from menzobaran.matesco.unican.es (193.144.180.101) by ex3.unican.es
 (193.144.193.142) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256) id 15.1.1979.3; Fri, 25 Sep
 2020 13:38:34 +0200
From: Domingo =?utf-8?B?R8OzbWV6IFDDqXJleg==?= <domingo.gomez@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#43566: 27.1; url-http and excorporate does not authenticate
In-Reply-To: <874knnw66a.fsf@HIDDEN>
References: <87tuvqxdl8.fsf@HIDDEN>
 <874knnw66a.fsf@HIDDEN>
Date: Fri, 25 Sep 2020 13:38:34 +0200
Message-ID: <877dsi9jd1.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: quoted-printable
X-Originating-IP: [193.144.180.101]
X-ClientProxiedBy: ex4.unican.es (193.144.193.143) To ex3.unican.es
 (193.144.193.142)
X-EsetResult: clean, is OK
X-EsetId: 37303A293C27706B6C7466
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 43566
X-Mailman-Approved-At: Fri, 25 Sep 2020 11:35:18 -0400
Cc: 43566 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

En la fecha jue, 24 sep 2020, Lars Ingebrigtsen <larsi@HIDDEN>
escribi=C3=B3:
> Domingo G=C3=B3mez P=C3=A9rez <domingo.gomez@HIDDEN> writes:
>
>> url-http-handle-authentication: Wrong authorization used for https://cor=
reo.unican.es/ews/exchange.asmx
>> (Note, the user and password are right, since I can download the page
>> using wget)
>
> [...]
>
>> Authorization: NTLM TlRMTVN[etc]
>
> Is wget using NTLM authentication, though?  And how have you set up
> url.el to use NTLM?


Dear Lars Ingebrigtsen,

First of all, thanks for your time and help.

I would say so, because in the terminal it reads "Autenticaci=C3=B3n
seleccionada: NTLM" (sorry, it is in spanish but I think the meaning is cle=
ar).

>
> I'm not familiar with NTLM at all, so I hope there wasn't anything
> secret in that base64'd auth string.=20
>
Neither I do, so I might change my password.

Thanks for the advice.

Best regards, Domingo.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43566; Package emacs. Full text available.

Message received at 43566 <at> debbugs.gnu.org:


Received: (at 43566) by debbugs.gnu.org; 25 Sep 2020 11:41:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 25 07:41:48 2020
Received: from localhost ([127.0.0.1]:42919 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kLm6l-00045J-Nf
	for submit <at> debbugs.gnu.org; Fri, 25 Sep 2020 07:41:47 -0400
Received: from quimby.gnus.org ([95.216.78.240]:39244)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kLm6j-000456-8e
 for 43566 <at> debbugs.gnu.org; Fri, 25 Sep 2020 07:41:45 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=jmZJ7DI8F01iNsdAmf5zFTanjThU5eCzA0KXe6dpFos=; b=Kv6z4WEBN/GUtcD1fpiLMWmNgH
 sur3PjVy24EXBA64GgSWuSzcYqm3UgtX/ThYd8J4wiYew9vC3/JGpC6CJdS2le3Yx6q0b4uLYEmt2
 x+qvdnOak3gc20Jwg5EEUjMhQT4r89G7CD2tixe2bKRea4TOhJA0BaMZTe1z9GUJ4WI8=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kLm6W-0001q5-2C; Fri, 25 Sep 2020 13:41:39 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Domingo =?utf-8?B?R8OzbWV6IFDDqXJleg==?= <domingo.gomez@HIDDEN>
Subject: Re: bug#43566: 27.1; url-http and excorporate does not authenticate
References: <87tuvqxdl8.fsf@HIDDEN>
 <874knnw66a.fsf@HIDDEN>
 <877dsi9jd1.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAG1BMVEXXnlrDt7BaLSqw
 RzEvJCgNCAx8eIRdVFX////3Dm9OAAAAAWJLR0QIht6VegAAAAd0SU1FB+QJGQklNdCRphsAAAG2
 SURBVDjLldRLj5swEADgSSJlr8yqYs+1odzDqr22xGTuxJNcy6oL1w1y4r9f2xCFEPawI4Gl+TR+
 YgAWQshEy7RGxEVUMhe5D4C1EPlrIVO8wn4AcO+NHEE1wCpAzohRDzzAUnrY6BtshwoPQlQBwMP+
 NoYbP7tV6AGEL+ihDhU8gEu7pbzSBbH+O4ZVEMNMuGgCyB6WQjk4uwSdonEFmEKIzAPrjzGsUxLi
 R+ozfBzB2vBOCBsyQ2wDmFLv3rJulA8LAVClpuf2DnwJPGnWytCZJyXw5JqSuLwD3q9g6dtK8ySk
 r/A1U9j3wDOwmQc5wDSqHGI6UNvaQ2GtstYaIttl9gMAT39e6IAnZU2RiM4UJAx1tHIQO4hjpVQx
 PC5KCWjtpWldP9fo57EFnB3czSqehxy+zcPuy3CBd7+HD/ljDf6Efqcz4Jvv5yloDB9r+7C5HL7i
 6t/j4Jnv6qA+gf5g76emgD+JWXBdaHicqSpsojW0ibbnu7zKOpkk7mr+xPeQIlKK/M1SJVnr7+wv
 EwBPtqkxbOqxacLVTK5wqfFFCMVUI4gJRP4fkgUodb9yDBFBH/8BdU85s9N4aKgAAAAldEVYdGRh
 dGU6Y3JlYXRlADIwMjAtMDktMjVUMDk6Mzc6NTMrMDA6MDD5GdWXAAAAJXRFWHRkYXRlOm1vZGlm
 eQAyMDIwLTA5LTI1VDA5OjM3OjUzKzAwOjAwiERtKwAAAABJRU5ErkJggg==
X-Now-Playing: Thievery Corporation's _The Mirror Conspiracy_: "The Mirror
 Conspiracy"
Date: Fri, 25 Sep 2020 13:41:30 +0200
In-Reply-To: <877dsi9jd1.fsf@HIDDEN> ("Domingo
 =?utf-8?Q?G=C3=B3mez=09P=C3=A9rez=22's?= message of "Fri, 25 Sep 2020
 13:38:34 +0200")
Message-ID: <87v9g2ozh1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Domingo Gómez Pérez <domingo.gomez@HIDDEN> writes: >>
    Is wget using NTLM authentication, though? And how have you set up >> url.el
    to use NTLM? > > Dear Lars Ingebrigtsen, > > First of all, thanks for your
    time and help. > > I would say so, because in [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43566
Cc: 43566 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Domingo G=C3=B3mez P=C3=A9rez <domingo.gomez@HIDDEN> writes:

>> Is wget using NTLM authentication, though?  And how have you set up
>> url.el to use NTLM?
>
> Dear Lars Ingebrigtsen,
>
> First of all, thanks for your time and help.
>
> I would say so, because in the terminal it reads "Autenticaci=C3=B3n
> seleccionada: NTLM" (sorry, it is in spanish but I think the meaning is c=
lear).

Thanks for checking.

I'm absolutely completely unfamiliar with NTLM (I assume that's a
Windows-only thing?), so somebody else will have to try debugging this.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43566; Package emacs. Full text available.

Message received at 43566 <at> debbugs.gnu.org:


Received: (at 43566) by debbugs.gnu.org; 24 Sep 2020 15:22:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 24 11:22:49 2020
Received: from localhost ([127.0.0.1]:41298 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kLT57-0005cJ-EP
	for submit <at> debbugs.gnu.org; Thu, 24 Sep 2020 11:22:49 -0400
Received: from quimby.gnus.org ([95.216.78.240]:57356)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kLT55-0005c5-Kd
 for 43566 <at> debbugs.gnu.org; Thu, 24 Sep 2020 11:22:48 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=RaLI6kDbb3Eqg38+jW0gACcxXIwTgaIUH0koDNtYNhE=; b=EFax9pBhwOZhCq7SBS5O3fm92A
 S4aMD0uz3cPEnuM3RxkfDRo6z9Bkv0H5eRNslvXKtRk/8mI999wLLJD6wUonn4+2YcNxsuSIiS7vh
 Ewaq0uaxJULGf43srzt5Gy7hUBAxW233Rm5ueWJAPlWAWrgjtDt1aKe5cjPpPOc+WPrk=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kLT4w-0007oV-V0; Thu, 24 Sep 2020 17:22:41 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Domingo =?utf-8?B?R8OzbWV6IFDDqXJleg==?= <domingo.gomez@HIDDEN>
Subject: Re: bug#43566: 27.1; url-http and excorporate does not authenticate
References: <87tuvqxdl8.fsf@HIDDEN>
X-Now-Playing: =?utf-8?Q?V=C3=A9ronique?= Vincent & Aksak Maboul's _Ex-Futur
 Album_: "I'm Always Remixing"
Date: Thu, 24 Sep 2020 17:22:37 +0200
In-Reply-To: <87tuvqxdl8.fsf@HIDDEN> ("Domingo
 =?utf-8?Q?G=C3=B3mez=09P=C3=A9rez=22's?= message of "Tue, 22 Sep 2020
 13:20:19 +0200")
Message-ID: <874knnw66a.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Domingo Gómez Pérez <domingo.gomez@HIDDEN> writes: >
   url-http-handle-authentication: Wrong authorization used for https://correo.unican.es/ews/exchange.asmx
    > (Note, the user and password are right, since I can download the page >
    using wget) 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43566
Cc: 43566 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Domingo G=C3=B3mez P=C3=A9rez <domingo.gomez@HIDDEN> writes:

> url-http-handle-authentication: Wrong authorization used for https://corr=
eo.unican.es/ews/exchange.asmx
> (Note, the user and password are right, since I can download the page
> using wget)

[...]

> Authorization: NTLM TlRMTVN[etc]

Is wget using NTLM authentication, though?  And how have you set up
url.el to use NTLM?

I'm not familiar with NTLM at all, so I hope there wasn't anything
secret in that base64'd auth string.=20

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43566; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Sep 2020 17:19:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 22 13:19:33 2020
Received: from localhost ([127.0.0.1]:33231 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kKlwv-0006ew-DN
	for submit <at> debbugs.gnu.org; Tue, 22 Sep 2020 13:19:32 -0400
Received: from lists.gnu.org ([209.51.188.17]:33458)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <domingo.gomez@HIDDEN>) id 1kKgLX-0006te-0H
 for submit <at> debbugs.gnu.org; Tue, 22 Sep 2020 07:20:34 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:50010)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <domingo.gomez@HIDDEN>)
 id 1kKgLW-0002lf-Nj
 for bug-gnu-emacs@HIDDEN; Tue, 22 Sep 2020 07:20:30 -0400
Received: from mhb01.unican.es ([193.144.193.151]:59114)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <domingo.gomez@HIDDEN>)
 id 1kKgLR-0006yd-Bb
 for bug-gnu-emacs@HIDDEN; Tue, 22 Sep 2020 07:20:30 -0400
Received: from localhost (localhost [127.0.0.1])
 by mhb01.unican.es (Postfix) with ESMTP id 771AA8028F547
 for <bug-gnu-emacs@HIDDEN>; Tue, 22 Sep 2020 13:20:20 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=unican.es; h=
 content-type:content-type:mime-version:message-id:date:date
 :subject:subject:from:from:received:received:received; s=
 20190415; t=1600773620; bh=JdDvsBS7TxqlTxME7+BLfZ2Q/Ylq9z1GPCduD
 hSw6H0=; b=BHQ8V09KVF8qyKmMEFukoFSENjsYPCaZH2PKD/52O3h3j6UOD4640
 NqJxc7G5Hr60rui3RDA01w6XvHqol0kRJsXzDdno44jSsqwSNINrdo2FJu8+/n/0
 Ue69X8FGO7QUtrH4f9t5dtMI5/yPYFwmEbBn8vzYyWpVtGyT5WKegs1OJyTFzTRA
 KBc/Xrz7K94/FyKS3m07KW3QqDLhWiKGp/IhbGRm3+/PVDq8Z1eIKqef7T/4hEZ3
 PNNvlMkVEJfgEjY1E6pjmcmCN8KP4Ebn1ozRTLY8mpiNvQApCFszmPmh2Zy5H4FR
 sLfwNNcCpYYRQEa3UqPxdG8sqn4RvGsiw==
Received: from mhb01.unican.es ([127.0.0.1])
 by localhost (mhb01.unican.es [127.0.0.1]) (amavisd-new, port 10025)
 with LMTP id swU8lDTpkhGC for <bug-gnu-emacs@HIDDEN>;
 Tue, 22 Sep 2020 13:20:20 +0200 (CEST)
Received: from correouc.unican.es (ex3.unican.es [193.144.193.142])
 (using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
 (No client certificate requested)
 by mhb01.unican.es (Postfix) with ESMTPS id 5AC198028FB36
 for <bug-gnu-emacs@HIDDEN>; Tue, 22 Sep 2020 13:20:20 +0200 (CEST)
Received: from menzobaran.matesco.unican.es (193.144.180.101) by ex3.unican.es
 (193.144.193.142) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256) id 15.1.1979.3; Tue, 22 Sep
 2020 13:20:19 +0200
From: =?utf-8?Q?Domingo_G=C3=B3mez_P=C3=A9rez?= <domingo.gomez@HIDDEN>
To: <bug-gnu-emacs@HIDDEN>
Subject: 27.1; url-http and excorporate does not authenticate
Date: Tue, 22 Sep 2020 13:20:19 +0200
Message-ID: <87tuvqxdl8.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Originating-IP: [193.144.180.101]
X-ClientProxiedBy: ex1.unican.es (193.144.193.140) To ex3.unican.es
 (193.144.193.142)
X-EsetResult: clean, is OK
X-EsetId: 37303A293C27706B6D726A
Received-SPF: pass client-ip=193.144.193.151;
 envelope-from=domingo.gomez@HIDDEN; helo=mhb01.unican.es
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/09/22 07:20:20
X-ACL-Warn: Detected OS   = Linux 3.11 and newer [fuzzy]
X-Spam_score_int: -70
X-Spam_score: -7.1
X-Spam_bar: -------
X-Spam_report: (-7.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_HI=-5, RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.6 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 22 Sep 2020 13:19:27 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)



I am trying to use excorporate, v. 0.7, so I am trying to locate the
problem looking at the Info page, section Troubleshooting.  

First, I run emacs -Q and then 
I execute the following code:
(setq wsdl-url "https://correo.unican.es/ews/exchange.asmx")
(with-current-buffer
    (url-retrieve-synchronously wsdl-url)
  (buffer-string))

giving the following message:

url-http-handle-authentication: Wrong authorization used for https://correo.unican.es/ews/exchange.asmx
(Note, the user and password are right, since I can download the page
using wget)

then I run the following code with M-:


     (progn
       (setq url-debug 1)
       (url-retrieve-synchronously URL-STRING)
       (dolist (p (seq-filter
                   (lambda (b) (string-match " *http*" (buffer-name b)))
                   (buffer-list)))
         (message "HTTP result buffer: \"%s\"\n%s"
                  (buffer-name p)
                  (with-current-buffer p (buffer-string))))
       "check *Messages*")

I get the following error:

http -> Contacting host: correo.unican.es:443
http -> Marking connection as busy: correo.unican.es:443 #<process correo.unican.es>
http -> getting referer from buffer: buffer:#<buffer *URL-DEBUG*> target-url:#s(url "https" nil nil "correo.unican.es" nil "/ews/exchange.asmx" nil nil t nil t nil) lastloc:nil
http -> Request is: 
GET /ews/exchange.asmx HTTP/1.1
MIME-Version: 1.0
Connection: keep-alive
Extension: Security/Digest Security/SSL
Host: correo.unican.es
Accept-encoding: gzip
Accept: */*
User-Agent: URL/Emacs Emacs/27.1 (X11; x86_64-redhat-linux-gnu)


retrieval -> Spinning in url-retrieve-synchronously: nil (#<buffer  *http correo.unican.es:443*>)
http -> Calling after change function `url-http-wait-for-headers-change-function' for `#<process correo.unican.es>'
http -> url-http-wait-for-headers-change-function ( *http correo.unican.es:443*)
http -> Saw end of headers... ( *http correo.unican.es:443*)
http -> url-http-parse-response called in ( *http correo.unican.es:443*)
http -> Got a content-length, being smart about document end.
http -> Got 0-length content-length, activating callback immediately.
http -> Marking connection as free: correo.unican.es:443 #<process correo.unican.es>
http -> url-http-parse-headers called in ( *http correo.unican.es:443*)
http -> url-http-parse-response called in ( *http correo.unican.es:443*)
http -> Parsed HTTP headers: class=4 status=401
http -> Handling normal authentication
url-http-ntlm -> Buffer:  *http correo.unican.es:443*
url-http-ntlm -> Arguments: ((ntlm))
url-http-ntlm -> Previous arguments: nil
url-http-ntlm -> Stage: :request
http -> Found existing connection: correo.unican.es:443 #<process correo.unican.es>
http -> Reusing existing connection: correo.unican.es:443
http -> Marking connection as busy: correo.unican.es:443 #<process correo.unican.es>
http -> getting referer from buffer: buffer:#<buffer  *http correo.unican.es:443*> target-url:#s(url "https" nil nil "correo.unican.es" nil "/ews/exchange.asmx" nil nil t nil t nil) lastloc:nil
http -> Request is: 
GET /ews/exchange.asmx HTTP/1.1
MIME-Version: 1.0
Connection: keep-alive
Extension: Security/Digest Security/SSL
Host: correo.unican.es
Accept-encoding: gzip
Accept: */*
User-Agent: URL/Emacs Emacs/27.1 (X11; x86_64-redhat-linux-gnu)
Authorization: NTLM TlRMTVNTUAABAAAAB4IIAAAAAAAgAAAAAAAAACAAAAA=


http -> Finished parsing HTTP headers: nil
http -> Spinning waiting for headers...
retrieval -> Spinning in url-retrieve-synchronously: nil (#<buffer  *http correo.unican.es:443*>)
http -> Calling after change function `url-http-wait-for-headers-change-function' for `#<process correo.unican.es>'
http -> url-http-wait-for-headers-change-function ( *http correo.unican.es:443*-2568)
http -> Saw end of headers... ( *http correo.unican.es:443*-2568)
http -> url-http-parse-response called in ( *http correo.unican.es:443*-2568)
http -> Got a content-length, being smart about document end.
http -> Got 0-length content-length, activating callback immediately.
http -> Marking connection as free: correo.unican.es:443 #<process correo.unican.es>
http -> url-http-parse-headers called in ( *http correo.unican.es:443*-2568)
http -> url-http-parse-response called in ( *http correo.unican.es:443*-2568)
http -> Parsed HTTP headers: class=4 status=401
http -> Handling normal authentication




In GNU Emacs 27.1 (build 1, x86_64-redhat-linux-gnu, GTK+ Version 3.24.21, cairo version 1.16.0)
 of 2020-08-20 built on buildvm-x86-24.iad2.fedoraproject.org
Windowing system distributor 'Fedora Project', version 11.0.12008000
System Description: Fedora 32 (Workstation Edition)

Recent messages:
previous-line: Beginning of buffer
Mark set [2 times]
previous-line: Beginning of buffer
Auto-saving...done
Mark activated
Mark set
scroll-down-command: Beginning of buffer [8 times]
previous-line: Beginning of buffer [5 times]
Mark set [6 times]
Auto-saving...done

Configured using:
 'configure --build=x86_64-redhat-linux-gnu
 --host=x86_64-redhat-linux-gnu --program-prefix=
 --disable-dependency-tracking --prefix=/usr --exec-prefix=/usr
 --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc
 --datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib64
 --libexecdir=/usr/libexec --localstatedir=/var
 --sharedstatedir=/var/lib --mandir=/usr/share/man
 --infodir=/usr/share/info --with-dbus --with-gif --with-jpeg --with-png
 --with-rsvg --with-tiff --with-xft --with-xpm --with-x-toolkit=gtk3
 --with-gpm=no --with-xwidgets --with-modules --with-harfbuzz
 --with-cairo --with-json build_alias=x86_64-redhat-linux-gnu
 host_alias=x86_64-redhat-linux-gnu 'CFLAGS=-DMAIL_USE_LOCKF -O2 -g
 -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2
 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong
 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1
 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic
 -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection'
 LDFLAGS=-Wl,-z,relro
 PKG_CONFIG_PATH=:/usr/lib64/pkgconfig:/usr/share/pkgconfig'

Configured features:
XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND DBUS GSETTINGS GLIB NOTIFY
INOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF
ZLIB TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS XWIDGETS
LIBSYSTEMD JSON PDUMPER GMP

Important settings:
  value of $LANG: es_ES.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Message[Notmuch]

Minor modes in effect:
  which-key-mode: t
  counsel-mode: t
  scimax-mode: t
  dubcaps-mode: t
  show-paren-mode: t
  global-undo-tree-mode: t
  undo-tree-mode: t
  helm-ff-cache-mode: t
  projectile-mode: t
  async-bytecomp-package-mode: t
  google-this-mode: t
  flycheck-mode: t
  yas-global-mode: t
  yas-minor-mode: t
  company-mode: t
  pyvenv-mode: t
  shell-dirtrack-mode: t
  mml-mode: t
  recentf-mode: t
  ivy-mode: t
  global-auto-complete-mode: t
  override-global-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  auto-fill-function: yas--auto-fill
  global-visual-line-mode: t
  visual-line-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Load-path shadows:
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ol-docview hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ol-docview
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-num hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/org-num
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ox-md hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ox-md
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-octave hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-octave
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-duration hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/org-duration
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-awk hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-awk
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-lob hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-lob
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-haskell hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-haskell
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-capture hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/org-capture
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-comint hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-comint
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-sqlite hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-sqlite
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-lua hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-lua
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-css hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-css
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-tangle hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-tangle
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-habit hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/org-habit
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-processing hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-processing
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-scheme hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-scheme
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-eshell hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-eshell
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-crypt hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/org-crypt
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ox-odt hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ox-odt
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ox hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ox
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-shen hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-shen
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-asymptote hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-asymptote
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-fortran hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-fortran
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ox-html hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ox-html
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-latex hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-latex
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-exp hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-exp
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-emacs-lisp hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-emacs-lisp
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-ditaa hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-ditaa
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-ruby hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-ruby
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-io hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-io
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-attach-git hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/org-attach-git
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-J hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-J
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ol-info hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ol-info
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-datetree hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/org-datetree
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-ledger hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-ledger
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ox-texinfo hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ox-texinfo
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ol-gnus hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ol-gnus
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-table hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-table
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-maxima hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-maxima
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-mscgen hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-mscgen
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-js hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-js
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ox-org hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ox-org
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ol-bibtex hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ol-bibtex
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-eval hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-eval
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-macro hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/org-macro
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-forth hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-forth
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-lilypond hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-lilypond
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-macs hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/org-macs
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/org
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ol-eww hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ol-eww
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ox-man hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ox-man
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-sed hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-sed
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-timer hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/org-timer
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ol hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ol
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-goto hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/org-goto
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-inlinetask hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/org-inlinetask
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-dot hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-dot
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-groovy hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-groovy
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ol-w3m hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ol-w3m
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-colview hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/org-colview
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ox-publish hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ox-publish
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-ctags hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/org-ctags
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-protocol hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/org-protocol
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-compat hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/org-compat
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ox-icalendar hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ox-icalendar
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-makefile hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-makefile
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-archive hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/org-archive
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ox-ascii hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ox-ascii
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-mobile hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/org-mobile
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-plantuml hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-plantuml
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-keys hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/org-keys
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-clojure hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-clojure
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-abc hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-abc
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-hledger hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-hledger
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-ref hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-ref
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-mouse hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/org-mouse
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-feed hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/org-feed
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-element hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/org-element
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-ocaml hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-ocaml
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-shell hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-shell
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-perl hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-perl
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-lisp hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-lisp
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ol-mhe hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ol-mhe
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-org hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-org
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-ebnf hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-ebnf
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-coq hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-coq
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-faces hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/org-faces
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-stan hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-stan
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-src hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/org-src
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-gnuplot hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-gnuplot
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-clock hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/org-clock
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-python hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-python
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-R hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-R
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-install hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/org-install
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-vala hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-vala
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ol-bbdb hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ol-bbdb
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-sql hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-sql
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ol-eshell hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ol-eshell
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-lint hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/org-lint
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ox-beamer hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ox-beamer
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ol-irc hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ol-irc
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-agenda hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/org-agenda
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-core hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-core
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ox-latex hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ox-latex
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-plot hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/org-plot
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-id hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/org-id
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-indent hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/org-indent
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ol-rmail hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ol-rmail
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-footnote hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/org-footnote
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-C hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-C
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-pcomplete hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/org-pcomplete
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-tempo hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/org-tempo
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-calc hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-calc
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-java hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-java
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-list hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/org-list
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-version hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/org-version
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-entities hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/org-entities
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-table hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/org-table
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-sass hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-sass
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-picolisp hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-picolisp
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-attach hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/org-attach
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-matlab hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-matlab
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-screen hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/ob-screen
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-loaddefs hides /home/gomezd/Git_Repositories/scimax/elpa/org-20200907/org-loaddefs
/home/gomezd/Git_Repositories/scimax/elpa/lispy-20200818.1151/elpa hides /home/gomezd/Git_Repositories/scimax/elpa/ivy-20200826.955/elpa
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ol-eww hides /usr/share/emacs/27.1/lisp/org/ol-eww
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-inlinetask hides /usr/share/emacs/27.1/lisp/org/org-inlinetask
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-ref hides /usr/share/emacs/27.1/lisp/org/ob-ref
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-ditaa hides /usr/share/emacs/27.1/lisp/org/ob-ditaa
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-comint hides /usr/share/emacs/27.1/lisp/org/ob-comint
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-attach-git hides /usr/share/emacs/27.1/lisp/org/org-attach-git
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-keys hides /usr/share/emacs/27.1/lisp/org/org-keys
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-tangle hides /usr/share/emacs/27.1/lisp/org/ob-tangle
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-tempo hides /usr/share/emacs/27.1/lisp/org/org-tempo
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-ebnf hides /usr/share/emacs/27.1/lisp/org/ob-ebnf
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-duration hides /usr/share/emacs/27.1/lisp/org/org-duration
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ol-info hides /usr/share/emacs/27.1/lisp/org/ol-info
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-mouse hides /usr/share/emacs/27.1/lisp/org/org-mouse
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-gnuplot hides /usr/share/emacs/27.1/lisp/org/ob-gnuplot
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-coq hides /usr/share/emacs/27.1/lisp/org/ob-coq
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ox-publish hides /usr/share/emacs/27.1/lisp/org/ox-publish
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-table hides /usr/share/emacs/27.1/lisp/org/org-table
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ol-eshell hides /usr/share/emacs/27.1/lisp/org/ol-eshell
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-screen hides /usr/share/emacs/27.1/lisp/org/ob-screen
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ox-icalendar hides /usr/share/emacs/27.1/lisp/org/ox-icalendar
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-matlab hides /usr/share/emacs/27.1/lisp/org/ob-matlab
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-capture hides /usr/share/emacs/27.1/lisp/org/org-capture
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-io hides /usr/share/emacs/27.1/lisp/org/ob-io
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-entities hides /usr/share/emacs/27.1/lisp/org/org-entities
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-num hides /usr/share/emacs/27.1/lisp/org/org-num
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ol-w3m hides /usr/share/emacs/27.1/lisp/org/ol-w3m
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-id hides /usr/share/emacs/27.1/lisp/org/org-id
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-attach hides /usr/share/emacs/27.1/lisp/org/org-attach
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-habit hides /usr/share/emacs/27.1/lisp/org/org-habit
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-css hides /usr/share/emacs/27.1/lisp/org/ob-css
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-agenda hides /usr/share/emacs/27.1/lisp/org/org-agenda
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ox-odt hides /usr/share/emacs/27.1/lisp/org/ox-odt
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-lua hides /usr/share/emacs/27.1/lisp/org/ob-lua
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-octave hides /usr/share/emacs/27.1/lisp/org/ob-octave
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ox-latex hides /usr/share/emacs/27.1/lisp/org/ox-latex
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-js hides /usr/share/emacs/27.1/lisp/org/ob-js
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-stan hides /usr/share/emacs/27.1/lisp/org/ob-stan
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-haskell hides /usr/share/emacs/27.1/lisp/org/ob-haskell
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-mscgen hides /usr/share/emacs/27.1/lisp/org/ob-mscgen
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-shell hides /usr/share/emacs/27.1/lisp/org/ob-shell
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-perl hides /usr/share/emacs/27.1/lisp/org/ob-perl
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ol hides /usr/share/emacs/27.1/lisp/org/ol
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-java hides /usr/share/emacs/27.1/lisp/org/ob-java
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-sass hides /usr/share/emacs/27.1/lisp/org/ob-sass
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-awk hides /usr/share/emacs/27.1/lisp/org/ob-awk
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-datetree hides /usr/share/emacs/27.1/lisp/org/org-datetree
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-dot hides /usr/share/emacs/27.1/lisp/org/ob-dot
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-R hides /usr/share/emacs/27.1/lisp/org/ob-R
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ol-irc hides /usr/share/emacs/27.1/lisp/org/ol-irc
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-mobile hides /usr/share/emacs/27.1/lisp/org/org-mobile
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-makefile hides /usr/share/emacs/27.1/lisp/org/ob-makefile
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ox-md hides /usr/share/emacs/27.1/lisp/org/ox-md
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-clock hides /usr/share/emacs/27.1/lisp/org/org-clock
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-crypt hides /usr/share/emacs/27.1/lisp/org/org-crypt
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-abc hides /usr/share/emacs/27.1/lisp/org/ob-abc
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-list hides /usr/share/emacs/27.1/lisp/org/org-list
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-table hides /usr/share/emacs/27.1/lisp/org/ob-table
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-picolisp hides /usr/share/emacs/27.1/lisp/org/ob-picolisp
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-C hides /usr/share/emacs/27.1/lisp/org/ob-C
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-sed hides /usr/share/emacs/27.1/lisp/org/ob-sed
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ox-ascii hides /usr/share/emacs/27.1/lisp/org/ox-ascii
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-ledger hides /usr/share/emacs/27.1/lisp/org/ob-ledger
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-macs hides /usr/share/emacs/27.1/lisp/org/org-macs
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-vala hides /usr/share/emacs/27.1/lisp/org/ob-vala
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-protocol hides /usr/share/emacs/27.1/lisp/org/org-protocol
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-version hides /usr/share/emacs/27.1/lisp/org/org-version
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-ruby hides /usr/share/emacs/27.1/lisp/org/ob-ruby
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ox-org hides /usr/share/emacs/27.1/lisp/org/ox-org
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-python hides /usr/share/emacs/27.1/lisp/org/ob-python
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-feed hides /usr/share/emacs/27.1/lisp/org/org-feed
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-fortran hides /usr/share/emacs/27.1/lisp/org/ob-fortran
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-eval hides /usr/share/emacs/27.1/lisp/org/ob-eval
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-plantuml hides /usr/share/emacs/27.1/lisp/org/ob-plantuml
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-ocaml hides /usr/share/emacs/27.1/lisp/org/ob-ocaml
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-exp hides /usr/share/emacs/27.1/lisp/org/ob-exp
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-org hides /usr/share/emacs/27.1/lisp/org/ob-org
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-calc hides /usr/share/emacs/27.1/lisp/org/ob-calc
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-lilypond hides /usr/share/emacs/27.1/lisp/org/ob-lilypond
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-src hides /usr/share/emacs/27.1/lisp/org/org-src
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-clojure hides /usr/share/emacs/27.1/lisp/org/ob-clojure
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-colview hides /usr/share/emacs/27.1/lisp/org/org-colview
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-faces hides /usr/share/emacs/27.1/lisp/org/org-faces
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ol-mhe hides /usr/share/emacs/27.1/lisp/org/ol-mhe
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ox-texinfo hides /usr/share/emacs/27.1/lisp/org/ox-texinfo
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-J hides /usr/share/emacs/27.1/lisp/org/ob-J
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-footnote hides /usr/share/emacs/27.1/lisp/org/org-footnote
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-compat hides /usr/share/emacs/27.1/lisp/org/org-compat
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-latex hides /usr/share/emacs/27.1/lisp/org/ob-latex
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-processing hides /usr/share/emacs/27.1/lisp/org/ob-processing
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ol-docview hides /usr/share/emacs/27.1/lisp/org/ol-docview
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-element hides /usr/share/emacs/27.1/lisp/org/org-element
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-shen hides /usr/share/emacs/27.1/lisp/org/ob-shen
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ol-gnus hides /usr/share/emacs/27.1/lisp/org/ol-gnus
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-asymptote hides /usr/share/emacs/27.1/lisp/org/ob-asymptote
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-sqlite hides /usr/share/emacs/27.1/lisp/org/ob-sqlite
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ox hides /usr/share/emacs/27.1/lisp/org/ox
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-archive hides /usr/share/emacs/27.1/lisp/org/org-archive
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-indent hides /usr/share/emacs/27.1/lisp/org/org-indent
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-forth hides /usr/share/emacs/27.1/lisp/org/ob-forth
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-sql hides /usr/share/emacs/27.1/lisp/org/ob-sql
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-ctags hides /usr/share/emacs/27.1/lisp/org/org-ctags
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ol-rmail hides /usr/share/emacs/27.1/lisp/org/ol-rmail
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-install hides /usr/share/emacs/27.1/lisp/org/org-install
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-macro hides /usr/share/emacs/27.1/lisp/org/org-macro
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-eshell hides /usr/share/emacs/27.1/lisp/org/ob-eshell
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-goto hides /usr/share/emacs/27.1/lisp/org/org-goto
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-maxima hides /usr/share/emacs/27.1/lisp/org/ob-maxima
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-lob hides /usr/share/emacs/27.1/lisp/org/ob-lob
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-scheme hides /usr/share/emacs/27.1/lisp/org/ob-scheme
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ox-beamer hides /usr/share/emacs/27.1/lisp/org/ox-beamer
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org hides /usr/share/emacs/27.1/lisp/org/org
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-hledger hides /usr/share/emacs/27.1/lisp/org/ob-hledger
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ol-bibtex hides /usr/share/emacs/27.1/lisp/org/ol-bibtex
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-loaddefs hides /usr/share/emacs/27.1/lisp/org/org-loaddefs
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-lisp hides /usr/share/emacs/27.1/lisp/org/ob-lisp
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-plot hides /usr/share/emacs/27.1/lisp/org/org-plot
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-core hides /usr/share/emacs/27.1/lisp/org/ob-core
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-lint hides /usr/share/emacs/27.1/lisp/org/org-lint
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ox-html hides /usr/share/emacs/27.1/lisp/org/ox-html
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-emacs-lisp hides /usr/share/emacs/27.1/lisp/org/ob-emacs-lisp
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob-groovy hides /usr/share/emacs/27.1/lisp/org/ob-groovy
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ox-man hides /usr/share/emacs/27.1/lisp/org/ox-man
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-pcomplete hides /usr/share/emacs/27.1/lisp/org/org-pcomplete
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ob hides /usr/share/emacs/27.1/lisp/org/ob
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/ol-bbdb hides /usr/share/emacs/27.1/lisp/org/ol-bbdb
/home/gomezd/Git_Repositories/scimax/elpa/org-plus-contrib-20200907/org-timer hides /usr/share/emacs/27.1/lisp/org/org-timer
/home/gomezd/Git_Repositories/scimax/elpa/map-2.1/map hides /usr/share/emacs/27.1/lisp/emacs-lisp/map
/home/gomezd/Git_Repositories/scimax/elpa/faceup-20170925.1946/faceup hides /usr/share/emacs/27.1/lisp/emacs-lisp/faceup

Features:
(shadow emacsbug sort mail-extr company-oddmuse company-keywords
company-etags company-gtags company-dabbrev-code company-dabbrev
company-files company-clang company-cmake company-semantic
company-template company-bbdb cl-print debug mule-util magit-utils
network-stream url-cache server clips-mode ox-reveal ob-prolog prolog
smie align orca org-protocol ol-notmuch elgantt org-ql peg ts org-habit
bbdb-message bbdb-mua bbdb-com bbdb bbdb-site smtpmail sendmail notmuch
notmuch-tree notmuch-jump notmuch-hello notmuch-show notmuch-print
notmuch-crypto notmuch-mua notmuch-message notmuch-draft
notmuch-maildir-fcc notmuch-address notmuch-company notmuch-parser
notmuch-wash coolj notmuch-query notmuch-tag notmuch-lib notmuch-compat
excorporate-diary appt icalendar diary-lib diary-loaddefs excorporate
excorporate-calendar fsm soap-client rng-xsd xsd-regexp url-http-ntlm
ntlm calc calc-loaddefs calc-macs hmac-md5 hex-util md4 gnus-dired
org-msg gnus-msg gnus-art mm-uu mml2015 mm-view mml-smime smime dig
cdlatex texmathp ebib ebib-reading-list ebib-notes ebib-filters
ebib-keywords ebib-utils ebib-db crm which-key org-gcal persist
org-clock org-archive request-deferred request autorevert alert log4e
notifications dbus gntp try init packages scimax-editmarks kitchingroup
cal-iso gitter scimax-journal scimax-autoformat-abbrev scimax-yas
scimax-lob org-eldoc ol-eww ol-rmail ol-mhe ol-irc ol-info ol-gnus nnir
gnus-sum gnus-group gnus-undo gnus-start gnus-cloud nnimap nnmail
mail-source utf7 netrc nnoo gnus-spec gnus-int gnus-range gnus-win gnus
nnheader ol-docview doc-view ol-bbdb ol-w3m scimax-ivy counsel xdg
org-show animate ox-manuscript bibtex-hotkeys scimax-notebook ivy-xref
scimax-apps ibuffer-projectile ggtags ewoc scimax-spellcheck
flyspell-correct-ivy flyspell-correct flyspell ispell scimax-email
scimax-org scimax-org-src-blocks scimax-org-images scimax-org-latex
scimax-org-radio-checkbox scimax-org-babel-python ob-C ob-fortran
cc-mode cc-fonts cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine
cc-vars cc-defs ob-R ob-plantuml ob-dot ob-org ob-perl ob-ruby ob-sqlite
ob-matlab ob-octave ob-shell ob-latex org-id org-agenda org-mouse
org-inlinetask scimax-mode scimax-utils scimax paren leuven-theme
ws-butler undo-tree diff smex smart-mode-line-light-theme
smart-mode-line rich-minority rainbow-mode pydoc goto-addr org-ref-wos
org-ref-scopus org-ref-arxiv org-ref org-ref-helm-bibtex org-ref-helm
helm-config org-ref-core reftex-cite reftex reftex-loaddefs reftex-vars
org-ref-glossary org-ref-bibtex org-ref-citeproc doi-utils org-ref-utils
org-ref-pdf url-http url-gw nsm ol-bibtex org-mime pdf-tools pdf-view
jka-compr pdf-cache pdf-info tq pdf-util image-mode exif ov
scimax-org-babel-ipython-upstream scimax-ob ob-ipython ob-python
mustache lispy swiper lispy-inline edebug backtrace lispy-tags
mode-local jedi-direx direx jedi jedi-core python-environment epc ctable
concurrent deferred ivy-hydra hydra-ox hydra lv hy-mode hy-jedhy
hy-shell hy-font-lock hy-base htmlize ht help-fns+ cl helm-projectile
helm-files helm-tags helm-buffers helm-occur helm-grep helm-regexp
helm-utils helm-locate helm-types projectile ibuf-ext ibuffer
ibuffer-loaddefs helm-bibtex bibtex-completion org-capture filenotify
biblio biblio-download biblio-dissemin biblio-ieee biblio-hal
biblio-dblp biblio-crossref biblio-arxiv timezone biblio-doi biblio-core
let-alist hl-line parsebib bibtex helm-net helm-help helm async-bytecomp
helm-global-bindings helm-source eieio-compat helm-multi-match helm-lib
async google-this f esup esup-child benchmark yasnippet flycheck
highlight-indentation flymake-proc flymake thingatpt company-capf
company pcase help-fns radix-tree elpy elpy-rpc pyvenv eshell esh-cmd
esh-ext esh-opt esh-proc esh-io esh-arg esh-module esh-groups esh-util
elpy-shell elpy-profile elpy-django s elpy-refactor python tramp-sh
tramp tramp-loaddefs trampver tramp-integration tramp-compat shell
parse-time iso8601 ls-lisp ido grep compile files-x etags fileloop xref
project cus-edit cus-start cus-load elfeed-show elfeed-search vc-git
diff-mode message rmc dired dired-loaddefs rfc822 mml mml-sec epa
derived epg epg-config gnus-util rmail rmail-loaddefs mm-decode
mm-bodies mm-encode mail-parse rfc2231 rfc2047 rfc2045 mm-util
ietf-drums mail-prsvr mailabbrev mail-utils gmm-utils mailheader shr svg
dom elfeed-csv elfeed elfeed-curl url url-proxy url-privacy url-expand
url-methods url-history url-cookie url-domsuf mailcap elfeed-log
elfeed-db elfeed-lib url-util url-queue xml-query xml dashboard
dashboard-widgets time recentf tree-widget wid-edit page-break-lines
dash-functional dash ivy flx delsel ivy-faces ivy-overlay colir color
drag-stuff button-lock bookmark text-property-search pp avy
auto-complete-config auto-complete popup aggressive-indent edmacro
kmacro cl-extra help-mode bootstrap diminish use-package
use-package-ensure use-package-delight use-package-diminish
use-package-bind-key bind-key use-package-core gnutls puny tex-site
helm-easymenu rx warnings exec-path-from-shell ox-cmu-memo ox-odt
rng-loc rng-uri rng-parse rng-match rng-dt rng-util rng-pttrn nxml-parse
nxml-ns nxml-enc xmltok nxml-util ox-latex ox-icalendar ox-html table
ox-ascii ox-publish ox org-element org ob ob-tangle ob-ref ob-lob
ob-table org-macro org-footnote org-src ob-comint org-pcomplete
pcomplete comint ansi-color ring org-list org-faces org-entities
time-date noutline outline easy-mmode org-version ob-emacs-lisp
org-table org-keys org-loaddefs find-func cal-menu calendar cal-loaddefs
avl-tree generator ol ob-exp ob-core org-compat advice ob-eval org-macs
format-spec org-install info finder-inf url-auth package easymenu
browse-url url-handlers url-parse auth-source cl-seq eieio eieio-core
cl-macs eieio-loaddefs password-cache json subr-x map url-vars seq
byte-opt gv bytecomp byte-compile cconv cl-loaddefs cl-lib tooltip eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel term/x-win
x-win term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads dbusbind inotify dynamic-setting system-font-setting
font-render-setting xwidget-internal cairo move-toolbar gtk x-toolkit x
multi-tty make-network-process emacs)

Memory information:
((conses 16 878513 253180)
 (symbols 48 67724 2)
 (strings 32 255636 32292)
 (string-bytes 1 8653573)
 (vectors 16 96038)
 (vector-slots 8 1184276 191542)
 (floats 8 781 410)
 (intervals 56 2249 1248)
 (buffers 1000 30))





Acknowledgement sent to Domingo Gómez Pérez <domingo.gomez@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#43566; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 6 Dec 2020 13:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.